## ros-crystal-unique-identifier-msgs 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(unique_identifier_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # we dont use add_compile_options with pedantic in message packages
  # because the Python C extensions dont comply with it
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)

set(msg_files
  "msg/UUID.msg"
)

rosidl_generate_interfaces(${PROJECT_NAME} ${msg_files})

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-crystal-unique-identifier-msgs (2.0.0-0bionic) bionic; urgency=high

  * Migrating from its old (language mixed) repositoryOld Repo: https://github.com/ros-geographic-info/unique_identifierName Change: uuid_msgs -> unique_identifier_msgsThe name change is to line it up with the names of the langauge specific wrappers that will exist around this message artifact.
    As this exactly describes the semantic meaning of the message (a UUID is defined as exactly a 128 bit unique identifier).
  * Dropped std_msgs dependency
  * Update maintainer

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 21 Nov 2018 08:00:00 -0000

ros-crystal-unique-identifier-msgs (1.1.0-0bionic) bionic; urgency=high

  * Renamed (match c++/python package names): uuid_msgs -> unique_identifier_msgs
  * Renamed (exact semantic): UniqueID.msg -> UUID.msg

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 01 Nov 2018 07:00:00 -0000

ros-crystal-unique-identifier-msgs (1.0.4-0bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 30 Apr 2014 07:00:00 -0000

ros-crystal-unique-identifier-msgs (1.0.1-0bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Mar 2013 07:00:00 -0000

ros-crystal-unique-identifier-msgs (1.0.0-0bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 18 Mar 2013 07:00:00 -0000

ros-crystal-unique-identifier-msgs (0.9.0-0bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 03 Jan 2013 08:00:00 -0000

ros-crystal-unique-identifier-msgs (0.8.0-0bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 19 Jul 2012 07:00:00 -0000

=== debian/control ===
Source: ros-crystal-unique-identifier-msgs
Section: misc
Priority: extra
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-ament-cmake, ros-crystal-rosidl-default-generators, ros-crystal-ros-workspace, ros-crystal-rmw-connext-cpp, ros-crystal-rmw-fastrtps-cpp, ros-crystal-rmw-implementation, ros-crystal-rmw-opensplice-cpp, ros-crystal-rosidl-typesupport-connext-c, ros-crystal-rosidl-typesupport-connext-cpp, ros-crystal-rosidl-typesupport-opensplice-c, ros-crystal-rosidl-typesupport-opensplice-cpp
Homepage: http://ros.org/wiki/unique_identifier_msgs
Standards-Version: 3.9.2

Package: ros-crystal-unique-identifier-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-rosidl-default-runtime, ros-crystal-ros-workspace
Description: ROS messages for universally unique identifiers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/crystal/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/crystal" \
		-DAMENT_PREFIX_PATH="/opt/ros/crystal"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-crystal-unique-identifier-msgs//opt/ros/crystal/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/crystal/setup.sh" ]; then . "/opt/ros/crystal/setup.sh"; fi && \
	dh_auto_install
